package com.ruoyi.project.ehs.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.ehs.domain.TEnvironapprcont;

/**
 * 环保批文主要内容Mapper接口
 * 
 * @author ruoyi
 * @date 2020-11-27
 */
public interface TEnvironapprcontMapper 
{
    /**
     * 查询环保批文主要内容
     * 
     * @param id 环保批文主要内容ID
     * @return 环保批文主要内容
     */
    public TEnvironapprcont selectTEnvironapprcontById(Long id);

    /**
     * 查询环保批文主要内容列表
     * 
     * @param tEnvironapprcont 环保批文主要内容
     * @return 环保批文主要内容集合
     */
    public List<TEnvironapprcont> selectTEnvironapprcontList(TEnvironapprcont tEnvironapprcont);

    /**
     * 新增环保批文主要内容
     * 
     * @param tEnvironapprcont 环保批文主要内容
     * @return 结果
     */
    public int insertTEnvironapprcont(TEnvironapprcont tEnvironapprcont);

    /**
     * 修改环保批文主要内容
     * 
     * @param tEnvironapprcont 环保批文主要内容
     * @return 结果
     */
    public int updateTEnvironapprcont(TEnvironapprcont tEnvironapprcont);

    /**
     * 删除环保批文主要内容
     * 
     * @param id 环保批文主要内容ID
     * @return 结果
     */
    public int deleteTEnvironapprcontById(Long id);

    /**
     * 批量删除环保批文主要内容
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTEnvironapprcontByIds(Long[] ids);
}
