package com.ruoyi.project.listener;

import com.alibaba.fastjson.JSON;
import org.activiti.engine.delegate.DelegateExecution;
import org.activiti.engine.delegate.DelegateTask;
import org.activiti.engine.delegate.ExecutionListener;
import org.activiti.engine.delegate.TaskListener;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;

import java.io.Serializable;
import java.util.Map;

@Service("verificationTaskCreateListener")
public class VerificationTaskCreateListener implements Serializable, TaskListener {
    protected Logger logger = LoggerFactory.getLogger(getClass());
    private static final long serialVersionUID = -375905405805540186L;

    @Override
    public void notify(DelegateTask delegateTask) {
        String id = delegateTask.getExecution().getProcessInstanceBusinessKey();
        logger.info("id:" + id);
    }
}
