package com.ruoyi.project.plant.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TMtRiskreminder;

/**
 * 风险提醒Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-04
 */
public interface TMtRiskreminderMapper
{
    /**
     * 查询风险提醒
     *
     * @param id 风险提醒ID
     * @return 风险提醒
     */
    public TMtRiskreminder selectTMtRiskreminderById(Long id);

    /**
     * 查询风险提醒列表
     *
     * @param tMtRiskreminder 风险提醒
     * @return 风险提醒集合
     */
    public List<TMtRiskreminder> selectTMtRiskreminderList(TMtRiskreminder tMtRiskreminder);

    /**
     * 新增风险提醒
     *
     * @param tMtRiskreminder 风险提醒
     * @return 结果
     */
    public int insertTMtRiskreminder(TMtRiskreminder tMtRiskreminder);

    /**
     * 修改风险提醒
     *
     * @param tMtRiskreminder 风险提醒
     * @return 结果
     */
    public int updateTMtRiskreminder(TMtRiskreminder tMtRiskreminder);

    /**
     * 删除风险提醒
     *
     * @param id 风险提醒ID
     * @return 结果
     */
    public int deleteTMtRiskreminderById(Long id);

    /**
     * 批量删除风险提醒
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMtRiskreminderByIds(Long[] ids);
}
