package com.ruoyi.project.production.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.production.domain.TMonthlyQualityReportS4012;

/**
 * 质量月报S4012Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-27
 */
public interface TMonthlyQualityReportS4012Mapper 
{
    /**
     * 查询质量月报S4012
     * 
     * @param id 质量月报S4012ID
     * @return 质量月报S4012
     */
    public TMonthlyQualityReportS4012 selectTMonthlyQualityReportS4012ById(Long id);

    /**
     * 查询质量月报S4012列表
     * 
     * @param tMonthlyQualityReportS4012 质量月报S4012
     * @return 质量月报S4012集合
     */
    @DataScope(deptAlias = "d")
    public List<TMonthlyQualityReportS4012> selectTMonthlyQualityReportS4012List(TMonthlyQualityReportS4012 tMonthlyQualityReportS4012);

    /**
     * 新增质量月报S4012
     * 
     * @param tMonthlyQualityReportS4012 质量月报S4012
     * @return 结果
     */
    public int insertTMonthlyQualityReportS4012(TMonthlyQualityReportS4012 tMonthlyQualityReportS4012);

    /**
     * 修改质量月报S4012
     * 
     * @param tMonthlyQualityReportS4012 质量月报S4012
     * @return 结果
     */
    public int updateTMonthlyQualityReportS4012(TMonthlyQualityReportS4012 tMonthlyQualityReportS4012);

    /**
     * 删除质量月报S4012
     * 
     * @param id 质量月报S4012ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS4012ById(Long id);

    /**
     * 批量删除质量月报S4012
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS4012ByIds(Long[] ids);
}
