package com.ruoyi.project.production.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.production.domain.TMonthlyQualityReportS5001;

/**
 * 质量月报S5001Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-27
 */
public interface TMonthlyQualityReportS5001Mapper 
{
    /**
     * 查询质量月报S5001
     * 
     * @param id 质量月报S5001ID
     * @return 质量月报S5001
     */
    public TMonthlyQualityReportS5001 selectTMonthlyQualityReportS5001ById(Long id);

    /**
     * 查询质量月报S5001列表
     * 
     * @param tMonthlyQualityReportS5001 质量月报S5001
     * @return 质量月报S5001集合
     */
    @DataScope(deptAlias = "d")
    public List<TMonthlyQualityReportS5001> selectTMonthlyQualityReportS5001List(TMonthlyQualityReportS5001 tMonthlyQualityReportS5001);

    /**
     * 新增质量月报S5001
     * 
     * @param tMonthlyQualityReportS5001 质量月报S5001
     * @return 结果
     */
    public int insertTMonthlyQualityReportS5001(TMonthlyQualityReportS5001 tMonthlyQualityReportS5001);

    /**
     * 修改质量月报S5001
     * 
     * @param tMonthlyQualityReportS5001 质量月报S5001
     * @return 结果
     */
    public int updateTMonthlyQualityReportS5001(TMonthlyQualityReportS5001 tMonthlyQualityReportS5001);

    /**
     * 删除质量月报S5001
     * 
     * @param id 质量月报S5001ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS5001ById(Long id);

    /**
     * 批量删除质量月报S5001
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS5001ByIds(Long[] ids);
}
