package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TMonthlyQualityReportS3010;

/**
 * 质量月报S3010Service接口
 * 
 * @author ruoyi
 * @date 2023-10-27
 */
public interface ITMonthlyQualityReportS3010Service 
{
    /**
     * 查询质量月报S3010
     * 
     * @param id 质量月报S3010ID
     * @return 质量月报S3010
     */
    public TMonthlyQualityReportS3010 selectTMonthlyQualityReportS3010ById(Long id);

    /**
     * 查询质量月报S3010列表
     * 
     * @param tMonthlyQualityReportS3010 质量月报S3010
     * @return 质量月报S3010集合
     */
    public List<TMonthlyQualityReportS3010> selectTMonthlyQualityReportS3010List(TMonthlyQualityReportS3010 tMonthlyQualityReportS3010);

    /**
     * 新增质量月报S3010
     * 
     * @param tMonthlyQualityReportS3010 质量月报S3010
     * @return 结果
     */
    public int insertTMonthlyQualityReportS3010(TMonthlyQualityReportS3010 tMonthlyQualityReportS3010);

    /**
     * 修改质量月报S3010
     * 
     * @param tMonthlyQualityReportS3010 质量月报S3010
     * @return 结果
     */
    public int updateTMonthlyQualityReportS3010(TMonthlyQualityReportS3010 tMonthlyQualityReportS3010);

    /**
     * 批量删除质量月报S3010
     * 
     * @param ids 需要删除的质量月报S3010ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS3010ByIds(Long[] ids);

    /**
     * 删除质量月报S3010信息
     * 
     * @param id 质量月报S3010ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS3010ById(Long id);
}
