package com.ruoyi.project.system.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.system.domain.TUploadhistory;

/**
 * 上传数据历史Mapper接口
 * 
 * @author ruoyi
 * @date 2021-03-24
 */
public interface TUploadhistoryMapper 
{
    /**
     * 查询上传数据历史
     * 
     * @param id 上传数据历史ID
     * @return 上传数据历史
     */
    public TUploadhistory selectTUploadhistoryById(Long id);

    /**
     * 查询上传数据历史列表
     * 
     * @param tUploadhistory 上传数据历史
     * @return 上传数据历史集合
     */
    @DataScope(deptAlias = "d")
    public List<TUploadhistory> selectTUploadhistoryList(TUploadhistory tUploadhistory);

    /**
     * 新增上传数据历史
     * 
     * @param tUploadhistory 上传数据历史
     * @return 结果
     */
    public int insertTUploadhistory(TUploadhistory tUploadhistory);

    /**
     * 修改上传数据历史
     * 
     * @param tUploadhistory 上传数据历史
     * @return 结果
     */
    public int updateTUploadhistory(TUploadhistory tUploadhistory);

}
