package com.ruoyi.project.training.bccnew.service;

import java.util.List;
import com.ruoyi.project.training.bccnew.domain.TTsFtplanTmplContent;

/**
 * 芳烃培训模版内容Service接口
 * 
 * @author ssy
 * @date 2024-07-19
 */
public interface ITTsFtplanTmplContentService 
{
    /**
     * 查询芳烃培训模版内容
     * 
     * @param id 芳烃培训模版内容ID
     * @return 芳烃培训模版内容
     */
    public TTsFtplanTmplContent selectTTsFtplanTmplContentById(Long id);

    /**
     * 查询芳烃培训模版内容列表
     * 
     * @param tTsFtplanTmplContent 芳烃培训模版内容
     * @return 芳烃培训模版内容集合
     */
    public List<TTsFtplanTmplContent> selectTTsFtplanTmplContentList(TTsFtplanTmplContent tTsFtplanTmplContent);

    /**
     * 新增芳烃培训模版内容
     * 
     * @param tTsFtplanTmplContent 芳烃培训模版内容
     * @return 结果
     */
    public int insertTTsFtplanTmplContent(TTsFtplanTmplContent tTsFtplanTmplContent);

    /**
     * 修改芳烃培训模版内容
     * 
     * @param tTsFtplanTmplContent 芳烃培训模版内容
     * @return 结果
     */
    public int updateTTsFtplanTmplContent(TTsFtplanTmplContent tTsFtplanTmplContent);

    /**
     * 批量删除芳烃培训模版内容
     * 
     * @param ids 需要删除的芳烃培训模版内容ID
     * @return 结果
     */
    public int deleteTTsFtplanTmplContentByIds(Long[] ids);

    /**
     * 删除芳烃培训模版内容信息
     * 
     * @param id 芳烃培训模版内容ID
     * @return 结果
     */
    public int deleteTTsFtplanTmplContentById(Long id);
}
