package com.ruoyi.project.aspen.service;

import com.ruoyi.project.aspen.domain.TDashboarddayelec;

import java.util.List;


/**
 * 电厂大屏每日0：00抓取数据Service接口
 * 
 * @author ruoyi
 * @date 2022-03-12
 */
public interface ITDashboarddayelecService 
{
    /**
     * 查询电厂大屏每日0：00抓取数据
     * 
     * @param id 电厂大屏每日0：00抓取数据ID
     * @return 电厂大屏每日0：00抓取数据
     */
    public TDashboarddayelec selectTDashboarddayelecById(Long id);

    /**
     * 查询电厂大屏每日0：00抓取数据列表
     * 
     * @param tDashboarddayelec 电厂大屏每日0：00抓取数据
     * @return 电厂大屏每日0：00抓取数据集合
     */
    public List<TDashboarddayelec> selectTDashboarddayelecList(TDashboarddayelec tDashboarddayelec);

    /**
     * 新增电厂大屏每日0：00抓取数据
     * 
     * @param tDashboarddayelec 电厂大屏每日0：00抓取数据
     * @return 结果
     */
    public int insertTDashboarddayelec(TDashboarddayelec tDashboarddayelec);

    /**
     * 修改电厂大屏每日0：00抓取数据
     * 
     * @param tDashboarddayelec 电厂大屏每日0：00抓取数据
     * @return 结果
     */
    public int updateTDashboarddayelec(TDashboarddayelec tDashboarddayelec);

    /**
     * 批量删除电厂大屏每日0：00抓取数据
     * 
     * @param ids 需要删除的电厂大屏每日0：00抓取数据ID
     * @return 结果
     */
    public int deleteTDashboarddayelecByIds(Long[] ids);

    /**
     * 删除电厂大屏每日0：00抓取数据信息
     * 
     * @param id 电厂大屏每日0：00抓取数据ID
     * @return 结果
     */
    public int deleteTDashboarddayelecById(Long id);

    /**
     * 查询最后一条dashboardelec抓取数据
     * @param tDashboarddayelec 电厂大屏DASHBOARDELEC抓取数据ID
     * @return dashboardelec抓取数据
     */
    public TDashboarddayelec selectLast(TDashboarddayelec tDashboarddayelec);

    /**
     * 查询最近一个月dashboardelec抓取数据
     *
     * @return dashboardelec抓取数据
     */
    public List<TDashboarddayelec> selectMonth(TDashboarddayelec tDashboarddayelec);

    /**
     * 查询最近一周dashboardelec抓取数据
     *
     * @return dashboardelec抓取数据
     */
    public List<TDashboarddayelec> selectWeek(TDashboarddayelec tDashboarddayelec);

    /**
     * 查询最近49天dashboardelec抓取数据
     *
     * @return dashboardelec抓取数据
     */
    public List<TDashboarddayelec> selecctfiftyday(TDashboarddayelec tDashboarddayelec);
}
