package com.ruoyi.project.patrol.commonuse.mapper;

import java.util.List;
import com.ruoyi.project.patrol.commonuse.domain.TCommonuseSafetyBelt;

/**
 * 安全带Mapper接口
 * 
 * @author admin
 * @date 2023-11-08
 */
public interface TCommonuseSafetyBeltMapper 
{
    /**
     * 查询安全带
     * 
     * @param id 安全带主键
     * @return 安全带
     */
    public TCommonuseSafetyBelt selectTCommonuseSafetyBeltById(Long id);

    /**
     * 查询安全带列表
     * 
     * @param tCommonuseSafetyBelt 安全带
     * @return 安全带集合
     */
    public List<TCommonuseSafetyBelt> selectTCommonuseSafetyBeltList(TCommonuseSafetyBelt tCommonuseSafetyBelt);

    /**
     * 新增安全带
     * 
     * @param tCommonuseSafetyBelt 安全带
     * @return 结果
     */
    public int insertTCommonuseSafetyBelt(TCommonuseSafetyBelt tCommonuseSafetyBelt);

    /**
     * 修改安全带
     * 
     * @param tCommonuseSafetyBelt 安全带
     * @return 结果
     */
    public int updateTCommonuseSafetyBelt(TCommonuseSafetyBelt tCommonuseSafetyBelt);

    /**
     * 删除安全带
     * 
     * @param id 安全带主键
     * @return 结果
     */
    public int deleteTCommonuseSafetyBeltById(Long id);

    /**
     * 批量删除安全带
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTCommonuseSafetyBeltByIds(Long[] ids);
}
