package com.ruoyi.project.patrol.fire.mapper;

import java.util.List;
import com.ruoyi.project.patrol.fire.domain.TFireAlarm;

/**
 * 现场可燃气体检测器/火灾报警系统Mapper接口
 * 
 * @author admin
 * @date 2023-11-01
 */
public interface TFireAlarmMapper 
{
    /**
     * 查询现场可燃气体检测器/火灾报警系统
     * 
     * @param id 现场可燃气体检测器/火灾报警系统主键
     * @return 现场可燃气体检测器/火灾报警系统
     */
    public TFireAlarm selectTFireAlarmById(Long id);

    /**
     * 查询现场可燃气体检测器/火灾报警系统列表
     * 
     * @param tFireAlarm 现场可燃气体检测器/火灾报警系统
     * @return 现场可燃气体检测器/火灾报警系统集合
     */
    public List<TFireAlarm> selectTFireAlarmList(TFireAlarm tFireAlarm);

    /**
     * 新增现场可燃气体检测器/火灾报警系统
     * 
     * @param tFireAlarm 现场可燃气体检测器/火灾报警系统
     * @return 结果
     */
    public int insertTFireAlarm(TFireAlarm tFireAlarm);

    /**
     * 修改现场可燃气体检测器/火灾报警系统
     * 
     * @param tFireAlarm 现场可燃气体检测器/火灾报警系统
     * @return 结果
     */
    public int updateTFireAlarm(TFireAlarm tFireAlarm);

    /**
     * 删除现场可燃气体检测器/火灾报警系统
     * 
     * @param id 现场可燃气体检测器/火灾报警系统主键
     * @return 结果
     */
    public int deleteTFireAlarmById(Long id);

    /**
     * 批量删除现场可燃气体检测器/火灾报警系统
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTFireAlarmByIds(Long[] ids);
}
