package com.ruoyi.project.plant.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.plant.domain.TMtMessageattention;

/**
 * 信息提醒Mapper接口
 *
 * @author ruoyi
 * @date 2021-01-04
 */
public interface TMtMessageattentionMapper
{
    /**
     * 查询信息提醒
     *
     * @param id 信息提醒ID
     * @return 信息提醒
     */
    public TMtMessageattention selectTMtMessageattentionById(Long id);

    /**
     * 查询信息提醒列表
     *
     * @param tMtMessageattention 信息提醒
     * @return 信息提醒集合
     */
    public List<TMtMessageattention> selectTMtMessageattentionList(TMtMessageattention tMtMessageattention);

    /**
     * 新增信息提醒
     *
     * @param tMtMessageattention 信息提醒
     * @return 结果
     */
    public int insertTMtMessageattention(TMtMessageattention tMtMessageattention);

    /**
     * 修改信息提醒
     *
     * @param tMtMessageattention 信息提醒
     * @return 结果
     */
    public int updateTMtMessageattention(TMtMessageattention tMtMessageattention);

    /**
     * 删除信息提醒
     *
     * @param id 信息提醒ID
     * @return 结果
     */
    public int deleteTMtMessageattentionById(Long id);

    /**
     * 批量删除信息提醒
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTMtMessageattentionByIds(Long[] ids);
}
