package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TAwardrecord;

/**
 * 人员嘉奖记录Service接口
 * 
 * @author ruoyi
 * @date 2020-12-08
 */
public interface ITAwardrecordService 
{
    /**
     * 查询人员嘉奖记录
     * 
     * @param id 人员嘉奖记录ID
     * @return 人员嘉奖记录
     */
    public TAwardrecord selectTAwardrecordById(Long id);

    /**
     * 查询人员嘉奖记录列表
     * 
     * @param tAwardrecord 人员嘉奖记录
     * @return 人员嘉奖记录集合
     */
    public List<TAwardrecord> selectTAwardrecordList(TAwardrecord tAwardrecord);

    /**
     * 新增人员嘉奖记录
     * 
     * @param tAwardrecord 人员嘉奖记录
     * @return 结果
     */
    public int insertTAwardrecord(TAwardrecord tAwardrecord);

    /**
     * 修改人员嘉奖记录
     * 
     * @param tAwardrecord 人员嘉奖记录
     * @return 结果
     */
    public int updateTAwardrecord(TAwardrecord tAwardrecord);

    /**
     * 批量删除人员嘉奖记录
     * 
     * @param ids 需要删除的人员嘉奖记录ID
     * @return 结果
     */
    public int deleteTAwardrecordByIds(Long[] ids);

    /**
     * 删除人员嘉奖记录信息
     * 
     * @param id 人员嘉奖记录ID
     * @return 结果
     */
    public int deleteTAwardrecordById(Long id);
}
