package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TMonthlyQualityReportS2002;

/**
 * 质量月报S2002Service接口
 * 
 * @author ruoyi
 * @date 2023-10-27
 */
public interface ITMonthlyQualityReportS2002Service 
{
    /**
     * 查询质量月报S2002
     * 
     * @param id 质量月报S2002ID
     * @return 质量月报S2002
     */
    public TMonthlyQualityReportS2002 selectTMonthlyQualityReportS2002ById(Long id);

    /**
     * 查询质量月报S2002列表
     * 
     * @param tMonthlyQualityReportS2002 质量月报S2002
     * @return 质量月报S2002集合
     */
    public List<TMonthlyQualityReportS2002> selectTMonthlyQualityReportS2002List(TMonthlyQualityReportS2002 tMonthlyQualityReportS2002);

    /**
     * 新增质量月报S2002
     * 
     * @param tMonthlyQualityReportS2002 质量月报S2002
     * @return 结果
     */
    public int insertTMonthlyQualityReportS2002(TMonthlyQualityReportS2002 tMonthlyQualityReportS2002);

    /**
     * 修改质量月报S2002
     * 
     * @param tMonthlyQualityReportS2002 质量月报S2002
     * @return 结果
     */
    public int updateTMonthlyQualityReportS2002(TMonthlyQualityReportS2002 tMonthlyQualityReportS2002);

    /**
     * 批量删除质量月报S2002
     * 
     * @param ids 需要删除的质量月报S2002ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS2002ByIds(Long[] ids);

    /**
     * 删除质量月报S2002信息
     * 
     * @param id 质量月报S2002ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS2002ById(Long id);
}
