package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TMonthlyQualityReportS3022;

/**
 * 质量月报S3022Service接口
 * 
 * @author ruoyi
 * @date 2023-10-27
 */
public interface ITMonthlyQualityReportS3022Service 
{
    /**
     * 查询质量月报S3022
     * 
     * @param id 质量月报S3022ID
     * @return 质量月报S3022
     */
    public TMonthlyQualityReportS3022 selectTMonthlyQualityReportS3022ById(Long id);

    /**
     * 查询质量月报S3022列表
     * 
     * @param tMonthlyQualityReportS3022 质量月报S3022
     * @return 质量月报S3022集合
     */
    public List<TMonthlyQualityReportS3022> selectTMonthlyQualityReportS3022List(TMonthlyQualityReportS3022 tMonthlyQualityReportS3022);

    /**
     * 新增质量月报S3022
     * 
     * @param tMonthlyQualityReportS3022 质量月报S3022
     * @return 结果
     */
    public int insertTMonthlyQualityReportS3022(TMonthlyQualityReportS3022 tMonthlyQualityReportS3022);

    /**
     * 修改质量月报S3022
     * 
     * @param tMonthlyQualityReportS3022 质量月报S3022
     * @return 结果
     */
    public int updateTMonthlyQualityReportS3022(TMonthlyQualityReportS3022 tMonthlyQualityReportS3022);

    /**
     * 批量删除质量月报S3022
     * 
     * @param ids 需要删除的质量月报S3022ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS3022ByIds(Long[] ids);

    /**
     * 删除质量月报S3022信息
     * 
     * @param id 质量月报S3022ID
     * @return 结果
     */
    public int deleteTMonthlyQualityReportS3022ById(Long id);
}
